Package Gnumed :: Package business :: Module gmDocuments :: Class cDocumentPart |
[frames] | no frames]

# Class cDocumentPart

source code

                                       object --+
                                                |
    pycommon.gmBusinessDBObject.cBusinessDBObject --+
                                                    |
                                                   cDocumentPart

Represents one part of a medical document.

Instance Methods
save_to_file(self, aChunkSize=0, filename=None, target_mime=None, target_extension=None, ignore_conversion_problems=False, directory=None, adjust_extension=False, conn=None) | source code
get_reviews(self) | source code
containing_document(self) | source code
update_data_from_file(self, fname=None, link_obj=None) | source code
set_reviewed(self, technically_abnormal=None, clinically_relevant=None) | source code
set_as_active_photograph(self) | source code
reattach(self, pk_doc=None) | source code
display_via_mime(self, chunksize=0, block=None) | source code
format_single_line(self) | source code
format(self, single_line=False) | source code
format_metainfo(self, callback=None) If <callback> is not None it will receive a tuple (status, description, pk_obj). | source code
get_useful_filename(self, patient=None, make_unique=False, directory=None, include_gnumed_tag=True, date_before_type=False, name_first=True) | source code
useful_filename(self, patient=None, make_unique=False, directory=None, include_gnumed_tag=True, date_before_type=False, name_first=True) | source code
Inherited from `pycommon.gmBusinessDBObject.cBusinessDBObject`: `__del__`, `__getitem__`, `__init__`, `__setitem__`, `__str__`, `fields_as_dict`, `get_fields`, `get_patient`, `get_updatable_fields`, `is_modified`, `refetch_payload`, `same_payload`, `save`, `save_payload`, `staff_id` Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__subclasshook__`

Properties
Inherited from `object`: `__class__`

Method Details

### format(self, single_line=False) | source code
Overrides: pycommon.gmBusinessDBObject.cBusinessDBObject.format